| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::PropertyGrammar::definition< ScannerT > Struct Template Reference

`#include <ParserGrammar.h>`

Collaboration diagram for Gaudi::Parsers::PropertyGrammar::definition< ScannerT >:

[legend]
List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::PropertyGrammar::definition< ScannerT >

Definition at line 103 of file ParserGrammar.h.

## Public Member Functions
| definition (PropertyGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
IdentifierGrammar | ident
rule< ScannerT, ClosureGrammar< std::string >::context_t > | ns
rule< ScannerT > | property

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::definition | ( | PropertyGrammar const & | self | ) | `[inline]`

Definition at line 105 of file ParserGrammar.h.

References Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::ident, Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::ns, Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::property, and Gaudi::Parsers::PushBack().

    00106                 {
    00107                                 ns = (ident >> *("::">>ident))[ns.val = construct_<std::string>(arg1,arg2)]>>".";
    00108                                 property = +(ns[PushBack(self.val)]) >> ident[PushBack(self.val)];
    00109
    00110                 }

## Member Function Documentation

template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 112 of file ParserGrammar.h.

References Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::property.

    00113                 { return property; }

## Member Data Documentation

template<typename ScannerT>

IdentifierGrammar Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::ident

Definition at line 111 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT,ClosureGrammar<std::string>::context_t> Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::ns

Definition at line 114 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::property

Definition at line 115 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserGrammar.h